Subject: [lojban] Re: open and save

From: robin <[email-masked]>
Date: Thu, 09 Jan 2003 13:23:42 +0200

Bob LeChevalier wrote:
>>I would vote for "vasru" since I perceive files as a kind of container, too.
> 
> 
> I kind of agree, but a file is more simply a girzu of vreji or datni.
> 
> Nora comments that while we focus so closely on "file", we should also 
> focus on "open" and "closed". First of all, these refer to the state: 
> open=ajar, closed=shut, so you need to make the agentive result to use 
> kalri or ganlo at all. But in addition there is no obvious passage or 
> portal which is "open" or "closed" when a file is open or closed - the 
> metaphor works ONLY if you stick consistently to the drawer metaphor, and 
> then it doesn't work well (a drawer is probably "out" rather than "open" in 
> Lojban, a box lid or cupboard door might be "open").
> 
> Sorry to make everyone's life more complicated %^)

Do we really want to continue the metaphor? Isn't there something else 
which would represent the state of an open file (i.e. that it is 
currently being read from / written to)? "Active" springs to mind, 
except that unless it's an executable, it's really more passive than active.

mu'o mi'e solri

-- 
"A Perl script is "correct" if it gets the job done before your boss 
fires you."
- Larry Wall

Robin Turner
IDMYO
Bilkent Univeritesi
Ankara 06533
Turkey

www.bilkent.edu.tr/~robin